<div style="margin-bottom: 15px;">
    <p-tabView class="sbs-tab">
        <p-tabPanel header="New">  
        <h5>
            <span>Job Order Request</span>
        </h5>
            <p-dataTable
            [value]="joborders"
            [editable]="true"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItems"
            dataKey="idOrder"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
            (onEditComplete)="updateRowData($event)">
            <p-header>
                <ul class="nav justify-content-end">
                    <li class="nav-item">
                        <button class="btn btn-primary float-right jh-create-entity create-joborders" (click)="openAdd()">
                            <span class="fa fa-plus"></span>
                            <span class="hidden-sm-down"  jhiTranslate="mpmApp.joborders.home.createLabel">
                            Create new Joborders
                            </span>
                        </button>
                    </li>
                </ul>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Please Insert Job Order Number, Job Description, Created By Or Division Reciver">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
                <div class="fieldset-legend">
                    <div class="text-left">
                    <p-accordion class="filter-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus">
                        <p-accordionTab header="Sort By">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-control-label"  for="field_divReciver"> Urutkan Berdasarkan</label>
                                    <select class="form-control" id="field_divition" name="divReciver" [(ngModel)]="divReciver">
                                        <option [ngValue]="null"></option>
                                        <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divi">{{divitionOption.label}}</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="btn-filter-wrapper">
                            <button pButton type="submit" label="Filter" icon="fa-filter" (click)="filtered(divReciver)">
                            </button> 
                            <button pButton type="submit" label="Reset Filter" icon="fa-refresh" (click)="clear()">
                            </button> 
                            <!-- <button type="button" class="btn btn-primary btn-filter" (click)="clear()">
                                <span>Clear</span>
                            </button> -->
                        </div>
                        </p-accordionTab>
                    </p-accordion>
                    </div>
                </div>
            </p-header>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Job Order Number" [style]="{'width': '150px'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.orderNumber}}
                </ng-template>
            </p-column>
            <p-column header="Job Order Date">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtOrder | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Finished Before">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtFnsBfr | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Created By">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdBy}}
                </ng-template>
            </p-column>
            <p-column header="Division">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.divReq}}
                    </ng-template>
                </p-column>
            <p-column header="Request To">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.divReciver}}
                    </ng-template>
                </p-column>
                <p-column header="Job Description">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.jobDescription}}
                    </ng-template>
                </p-column>
            <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit"
                            [routerLink]="['../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                            icon="fa-pencil"
                            class="flat-button">
                    </button>
                    <button pButton type="submit"
                            (click)="print(rowData.idOrder, rowData)"
                            icon="fa-print"
                            class="flat-button">
                    </button>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
            
            <div style="margin-top: 10px;"></div>

            </p-dataTable>
        </p-tabPanel>
        <p-tabPanel header="Approved">
            <jhi-job-order-view
                [idOrder]="jobOrder.idOrder"
                [idJobOrder]="jobOrder.idJobOrder"
                [idStatusType]="11">
            </jhi-job-order-view>
        </p-tabPanel>
        <p-tabPanel header="On Progress">
            <jhi-job-order-progress
                [idOrder]="jobOrder.idOrder"
                [idJobOrder]="jobOrder.idJobOrder"
                [idStatusType]="14">
            </jhi-job-order-progress>
        </p-tabPanel>
        <p-tabPanel header="Solved">
            <jhi-joborders-solve></jhi-joborders-solve>
        </p-tabPanel>
        <p-tabPanel header="Completed">
            <jhi-job-order-complete
                [idOrder]="jobOrder.idOrder"
                [idJobOrder]="jobOrder.idJobOrder"
                [idStatusType]="16">
            </jhi-job-order-complete>
        </p-tabPanel>
        <p-tabPanel header="Not approved">
            <jhi-job-order-not-view
                [idOrder]="jobOrder.idOrder"
                [idJobOrder]="jobOrder.idJobOrder"
                [idStatusType]="12">
            </jhi-job-order-not-view>
        </p-tabPanel>
        <p-tabPanel header="Canceled">
            <jhi-joborders-cancel></jhi-joborders-cancel>
        </p-tabPanel>   
    </p-tabView>

    <p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>
</div>
